gsm0808_handover_required Struct Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

3GPP TS 48.008 §3.2.1.9 HANDOVER REQUIRED More...

`#include <gsm0808.h>`

## Data Fields

uint16_t | cause
struct gsm0808_cell_id_list2 | cil
bool | current_channel_type_1_present
uint8_t | current_channel_type_1
bool | speech_version_used_present
uint8_t | speech_version_used
bool | old_bss_to_new_bss_info_present
struct gsm0808_old_bss_to_new_bss_info | old_bss_to_new_bss_info
bool | more_items

## Detailed Description

3GPP TS 48.008 §3.2.1.9 HANDOVER REQUIRED

## Field Documentation

## cause

uint16_t gsm0808_handover_required::cause

Referenced by gsm0808_create_handover_required().

## cil

struct gsm0808_cell_id_list2 gsm0808_handover_required::cil

Referenced by gsm0808_create_handover_required().

## current_channel_type_1

uint8_t gsm0808_handover_required::current_channel_type_1

Referenced by gsm0808_create_handover_required().

## current_channel_type_1_present

bool gsm0808_handover_required::current_channel_type_1_present

Referenced by gsm0808_create_handover_required().

## more_items

bool gsm0808_handover_required::more_items

## old_bss_to_new_bss_info

struct gsm0808_old_bss_to_new_bss_info gsm0808_handover_required::old_bss_to_new_bss_info

Referenced by gsm0808_create_handover_required().

## old_bss_to_new_bss_info_present

bool gsm0808_handover_required::old_bss_to_new_bss_info_present

Referenced by gsm0808_create_handover_required().

## speech_version_used

uint8_t gsm0808_handover_required::speech_version_used

Referenced by gsm0808_create_handover_required().

## speech_version_used_present

bool gsm0808_handover_required::speech_version_used_present

Referenced by gsm0808_create_handover_required().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0808.h